%define realname Text-Template
%define name perl-%{realname}
%define version 1.20
%define release 2mdk

Summary: Text::Template module for perl
Name: %{name}
Version: %{version}
Release: %{release}
#Copyright: distributable ???
Copyright: GPL
Group: Development/Perl
Source: %{realname}-%{version}.tar.bz2
Packager: Renaud Chaillat <rchaillat@mandrakesoft.com>
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot/
Requires: perl >= 5.004

%description
Text::Template module for perl

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib

make PREFIX=$RPM_BUILD_ROOT%{_usr} install
#find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{name}-%{version}-filelist

#%files -f %{name}-%{version}-filelist
%files
%defattr(-,root,root)
%{_libdir}/perl5/man/man3/*
%{perl_archlib}/*
%dir %{perl_sitearch}/auto/Text/Template
#%{_libdir}/perl5/site_perl/5.6.0/Text/*
%{perl_sitearch}/../Text/*


%changelog
* Wed Dec 20 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.20-2mdk
- used rpm perl macros

* Mon Sep 11 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.20-1mdk
- initial mandrake release (from e-smith)
- changed filelist into individual files
